/** Shopify CDN: Minification failed

Line 263:0 Unexpected "{"
Line 263:1 Expected identifier but found "%"
Line 264:20 Unexpected "{"
Line 264:29 Expected ":"
Line 267:0 Unexpected "{"
Line 267:1 Expected identifier but found "%"

**/
.banner-slider-main {
    position: relative;
    overflow: hidden;
}

.banner-slide-content {
    position: absolute;
    inset: 0;
    display: flex;
}

.banner-slide-content .banner-slide-content-inner {
    position: absolute;
    width: 100%;
    max-width: 500px;
}

.banner-overlay:not(:has(.banner-overlay-content)) {
    pointer-events: none;
}

.style-2 .banner-overlay::before {
    background: rgba(var(--image-overlay-background));
}

.banner-overlay:not(:has(.banner-overlay-content)) .banner-overlay-marquee {
    pointer-events: auto;
}

.banner-overlay-marquee {
    bottom: 100%;
    position: absolute;
}

.banner-overlay-marquee .marquee-text {
    color: var(--heading-color);
}

.banner-overlay-content p>div {
    line-height: var(--body-line-height);
}

.media-overlay-text .text-bgshape {
    stroke-dasharray: unset;
    --text-bgshape-stroke-width: 10;
    padding: 10px 15px 10px 25px;
    display: inline;
}

.media-overlay-text .text-bgshape svg {
    stroke: var(--text-stroke-color);
}

.media-text-icons-wrapper {
    display: inline-block;
    padding-block-start: 30px;
}

.media-text-icons-inner {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.media-text-icons-items {
    display: flex;
    align-items: center;
    gap: var(--gap, 10px);
    border: 1px solid var(--card-border);
    padding: 8px;
    border-radius: 50px;
    background: var(--card-background);
    transition: transform .45s;
}

.media-text-icons-items:has(.media-overlay-icon) {
    padding-right: 20px;
}

.media-text-icons-items:hover {
    transform: translate(0, -8px) scale(.95) !important;
}

.media-overlay-icon {
    width: 30px;
    min-width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--border-color);
    border-radius: 50%;
    overflow: hidden;
}

.media-overlay-icon img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* SLIDER PAGINATION [DOTS] */

.banner-slider-wrapper .swiper-pagination {
    --swiper-pagination-bullet-horizontal-gap: 0;
    position: absolute;
    left: auto;
    top: 0;
    bottom: 0;
    flex-direction: column;
    padding: 1em;
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    right: 0;
}

.banner-slider-wrapper .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: var(--swiper-pagination-bullet-width);
    height: calc(var(--swiper-pagination-bullet-width) * 2);
}

/* SLIDER PAGINATION [DOTS] */

@media (max-width:991px) {
    .media-overlay-icon-text {
        font-size: var(--text-xs);
    }

    .media-overlay-icon {
        width: 24px;
        min-width: 24px;
        height: 24px;
    }

    .media-text-icons-inner {
        gap: 10px;
    }
}

@media (max-width:767px) {
    .media-text-icons-inner {
        flex-wrap: wrap;
        gap: 8px;
    }

    .banner-overlay-content {
        padding: 30px 16px;
        background: rgba(var(--image-overlay-background));
    }

    .banner-overlay,
    .main-banner-slider-inner {
        position: relative;
    }

    .banner-overlay-marquee {
        z-index: 1;
    }

    .media-overlay-text .text-bgshape {
        display: inline-block;
    }

    .text-diamond-background {
        background: linear-gradient(117deg, rgba(var(--highlight-color)) 1.2lh, var(--media-overlay-text) 1.2lh);
        background-clip: text;
        background-repeat: no-repeat;
        display: inline;
    }

    .text-diamond-background::before {
        border-radius: 8px;
        max-width: 1lh;
    }

    .media-text-icons-items {
        --gap: 6px;
        padding: 6px;
        font-size: var(--text-sm);
    }

    .banner-slider-main:has(.marquee-text.heading-font) .slideshow-content {
        height: calc(var(--media-height) - (var(--marquee-text-size) * var(--heading-line-height)));
    }

    .banner-slider-main:has(.marquee-text.body-font) .slideshow-content {
        height: calc(var(--media-height) - (var(--marquee-text-size) * var(--body-line-height)));
    }
}

@media (min-width:768px) {
    .banner-overlay {
        --overlay-stop-value: 0%;
        position: absolute;
        isolation: isolate;
        inset: 0;
        z-index: 2;
        transform: translate(0, 100%);
        height: calc(100% + var(--overlay-content-height, 0px));
    }

    .banner-overlay-content {
        position: absolute;
        inset-inline: 0;
        width: 100%;
        margin: 0 auto;
        top: 50%;
        transform: translate(0, -50%);
        padding: 0 15px;
    }

    .banner-overlay:has(.banner-overlay-content)::before,
    .banner-overlay:has(.banner-overlay-content)::after {
        content: '';
        position: absolute;
        inset: 0;
        z-index: -1;
        width: 100%;
        height: 100%;
        pointer-events: none;
        user-select: none;
        transition: transform.4s ease;
        transform: translateY(calc(var(--overlay-stop-value) * -1));
        background: linear-gradient(to bottom, transparent, rgba(var(--image-overlay-background)));
    }

    .banner-overlay:has(.banner-overlay-content)::before {
        box-shadow: 0 101px 0 100px rgba(var(--image-overlay-background));
    }

    .banner-overlay:has(.banner-overlay-content)::after {
        top: calc(100% - 1px);
        height: 100%;
        background: rgba(var(--image-overlay-background));
        transform: translateY(calc(var(--overlay-stop-value) * -1));
    }

    .content-for-layout .shopify-section.banner-slider-section:first-child .banner-overlay-marquee {
        bottom: calc(100% + var(--header-height) + var(--announcement-height));
    }

    body:has(.header-transparent) .content-for-layout .shopify-section.banner-slider-section:first-child .banner-overlay-marquee {
        bottom: calc(100% + var(--announcement-height));
    }

}


{% if section.settings.alignment == 'justify' %}
  #shopify-section-{{ section.id }} .banner-overlay-content .media-overlay-text {
    text-align: justify;
  }
{% endif %}